Bug 12396 - "xload" should NOT be suid-root!
Summary: "xload" should NOT be suid-root!
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-17 17:22 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-26 23:32:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 2000-06-17 17:22:19 UTC
xload has sneaked in suid-root. RH6.2 went to great pains not to ship ANY
suid-root programs linked to libX11.
We don't want to regress this.

Comment 1 Chris Evans 2000-06-26 23:31:58 UTC
Not fixed in BETA2 - version updated

Comment 2 Bill Nottingham 2000-07-03 05:16:25 UTC
Fixed in XFree86-utils-4.0-0.29 and later.


Note You need to log in before you can comment on or make changes to this bug.